Package tigase.stats

## Class CounterValue

- java.lang.Object
- - tigase.stats.CounterValue

- Direct Known Subclasses:
    `Counter`, `CounterPerSecond`

      public class CounterValue
      extends java.lang.Object

  Author:
    andrzej

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected long` | `counter` |
    `protected java.util.logging.Level` | `level` |
    `protected java.lang.String` | `name` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CounterValue​(java.lang.String name, java.util.logging.Level level)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.logging.Level` | `getLevel()` |
    `java.lang.String` | `getName()` |
    `long` | `getValue()` |
    `void` | `inc()` |
    `void` | `setName​(java.lang.String name)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### level

          protected final java.util.logging.Level level

    - #### counter

          protected long counter

    - #### name

          protected java.lang.String name

  - ### Constructor Detail

    - #### CounterValue

          public CounterValue​(java.lang.String name,
                              java.util.logging.Level level)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName​(java.lang.String name)

    - #### inc

          public void inc()

    - #### getLevel

          public java.util.logging.Level getLevel()

    - #### getValue

          public long getValue()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`